/* -*- coding: utf-8 -*-
-----------------------------------------------------------

 Author: Andres Solis Montero
-----------------------------------------------------------
*/

:root{
  --bullet-width: 15px;
  --horizontal-line-color:#555;
  --vertical-line-color:#ffd402;
 
}
.timeline ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}
.timeline ul::after {
  content: "";
  display: block;
  clear: both;
}
ul.timeline {
  display: flex;
  flex-wrap: wrap;
  padding: 50px 30px;
}
ul.timeline > li {
  width: calc( 100% / 12 );
  list-style-type: none;
  
}
ul.timeline > li:nth-of-type(odd) > .content {
  /* transform: translateY(calc(-100% - 24px)); */
}
ul.timeline .event {
  color: var(--horizontal-line-color);
  border-bottom: 1px solid;
  border-bottom-color: var(--horizontal-line-color);
  display: block;
  position: relative;
  padding-left: 10px;
  /* line-height: 24px; */
  font-size: 1.1em;
}
ul.timeline .event::before {
  
  content: "";
  width: var(--bullet-width);
  height: var(--bullet-width);
  position: absolute;
  /* background: var(--vertical-line-color); */
  background-color: var(--horizontal-line-color);
  border-radius: 50%;
  
  left: calc(-1 * var(--bullet-width)/2 - 2px );
  /* width: 40px;
  height: 40px; */
  /* left:-24px; */
  /* top: calc( (20 - 24) / 2 * -1px ); */
 /* bottom: -10px; */
 bottom: calc(-1 * var(--bullet-width)/2);
}
ul.timeline .event {
  border-left: 4px solid ;
  border-left-color: var(--vertical-line-color);
  left:-4px;
}
ul.timeline .event.new {
  border-radius: 0 24px 24px 0;
  
}



ul.timeline .event.new::after {
  content: "";
  width: 5px;
  height: 5px;
  display: block;
  border: 20px solid #3f444c;
  box-sizing: border-box;
  border-top-color: transparent;
  border-right-color: transparent;
  border-bottom-color: transparent;
  position: absolute;
  right: -30px;
  top: -9.5px;
}
ul.timeline .content {
  border-left: 4px solid ;
  border-left-color: var(--vertical-line-color);
  margin-left: -4px;
  padding: 15px 0;
  padding-right: 24px;
}
ul.timeline .content > li {
  padding-left: 10px;
  border-bottom: 4px solid white;
  /* padding-bottom: 8px; */
  position: relative;
  /* margin-left: -8px; */
  list-style-type: none;
  white-space: nowrap;
  font-size:1em;
}

ul.timeline .content > li:last-of-type {
  border-bottom: 0;
  padding-bottom: 0;
}
ul.timeline .content > li::before {
  content: "";
  display: block;
  position: absolute;
  width: 3px;
  height: 3px;
  border-radius: 50%;
  left: 2px;
  top: 8px;
}
@media screen and (max-width: 1640px) {
  ul.timeline > li {
    width: calc( 100% / 6 );
  }
}
@media screen and (max-width: 1140px) {
  ul.timeline > li {
    width: calc( 100% / 4 );
  }
}
@media screen and (max-width: 991px) {
  ul.timeline > li {
    width: calc( 100% / 2 );
  }
}
@media screen and (max-width: 767px) {
  ul.timeline {
    display: block;
  }
  ul.timeline > li {
    width: 100%;
  }
  ul.timeline > li:nth-of-type(odd) .content {
    transform: none;
  }
}